System.ServiceModel 4.0.0.0 System.ServiceModel.Description.ServiceEndpoint DefaultConstructorConstraint System.ServiceModel.Configuration.StandardEndpointElement System.ServiceModel.Configuration.EndpointCollectionElement To be added. To be added. To be added.

Handles a default collection of standard endpoint elements in a configuration file.

- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class.

- Property
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<System.ServiceModel.Configuration.StandardEndpointElement> To be added. To be added.

  Gets a read-only version of the current collection of standard endpoint elements.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether an element with the specified name exists in the collection of standard endpoint elements.

  true if the endpoint collection of elements contains a match for the specified element name; otherwise, false.

  The name of an endpoint element.
- Property
  4.0.0.0
  System.Configuration.ConfigurationProperty("", Options=System.Configuration.ConfigurationPropertyOptions.IsDefaultCollection)
  System.ServiceModel.Configuration.StandardEndpointElementCollection<TEndpointConfiguration> To be added. To be added.

  Gets a default collection of standard endpoint elements.

- Property
  4.0.0.0
  System.Type To be added. To be added.

  Gets the type of the standard endpoint in the collection.

- Method
  4.0.0.0
  System.ServiceModel.Configuration.StandardEndpointElement To be added.

  Creates a local instance of the class.

  A standard endpoint element.

- Property
  4.0.0.0
  System.Configuration.ConfigurationPropertyCollection To be added. To be added.

  Stores the properties for the Endpoints property.

- Method
  4.0.0.0
  System.Boolean `` `` `` To be added.

  Attempts to add an endpoint element to the collection of standard endpoints elements.

  true if the element was added to the collection; otherwise, false.

  The identifier of the element to add to the collection. The endpoint element to add. The configuration file – not implemented.